| Flutter Impeller |

Public Member Functions | List of all members
impeller::PathReceiver Class Referenceabstract

Collection of functions to receive path segments from the underlying path representation via the DlPath::Dispatch method. More...

`#include <path_source.h>`

Inheritance diagram for impeller::PathReceiver:

## Public Member Functions
virtual | ~PathReceiver ()=default
virtual void | MoveTo (const Point &p2, bool will_be_closed)=0
virtual void | LineTo (const Point &p2)=0
virtual void | QuadTo (const Point &cp, const Point &p2)=0
virtual bool | ConicTo (const Point &cp, const Point &p2, Scalar weight)
virtual void | CubicTo (const Point &cp1, const Point &cp2, const Point &p2)=0
virtual void | Close ()=0

## Detailed Description

Collection of functions to receive path segments from the underlying path representation via the DlPath::Dispatch method.

The conic_to function is optional. If the receiver understands rational quadratic Bezier curve forms then it should accept the curve parameters and return true, otherwise it can return false and the dispatcher will provide the path segment in a different form via the other methods.

The dispatcher might not call the recommend_size or recommend_bounds functions if the original path does not contain such information. If it does call these functions then they should be called before any path segments are dispatched.

The dispatcher will always call the path_info function, though the is_convex parameter may be conservatively reported as false if the original path does not contain such info.

Finally the dispatcher will always call the PathEnd function as the last action before returning control to the method that called it.

Definition at line 42 of file path_source.h.

## Constructor & Destructor Documentation

## ◆ ~PathReceiver()

virtual impeller::PathReceiver::~PathReceiver | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ Close()

virtual void impeller::PathReceiver::Close | ( |  | ) |
| pure virtual

Implemented in impeller::PathTransformer.

Referenced by impeller::PathTransformer::Close(), impeller::RoundSuperellipseParam::Dispatch(), impeller::RectPathSource::Dispatch(), and impeller::EllipsePathSource::Dispatch().

## ◆ ConicTo()

virtual bool impeller::PathReceiver::ConicTo | ( | const Point & | cp,
|  | const Point & | p2,
|  | Scalar | weight
| ) |  |
| inlinevirtual

Reimplemented in impeller::PathTransformer.

Definition at line 48 of file path_source.h.

48 {
49 return false;
50 }

Referenced by impeller::PathTransformer::ConicTo(), and impeller::EllipsePathSource::Dispatch().

## ◆ CubicTo()

virtual void impeller::PathReceiver::CubicTo | ( | const Point & | cp1,
|  | const Point & | cp2,
|  | const Point & | p2
| ) |  |
| pure virtual

Implemented in impeller::PathTransformer.

Referenced by impeller::PathTransformer::CubicTo().

## ◆ LineTo()

virtual void impeller::PathReceiver::LineTo | ( | const Point & | p2 | ) |
| pure virtual

Implemented in impeller::PathTransformer.

Referenced by impeller::RoundSuperellipseParam::Dispatch(), impeller::DashedLinePathSource::Dispatch(), impeller::RectPathSource::Dispatch(), and impeller::PathTransformer::LineTo().

## ◆ MoveTo()

virtual void impeller::PathReceiver::MoveTo | ( | const Point & | p2,
|  | bool | will_be_closed
| ) |  |
| pure virtual

Implemented in impeller::PathTransformer.

Referenced by impeller::RoundSuperellipseParam::Dispatch(), impeller::DashedLinePathSource::Dispatch(), impeller::RectPathSource::Dispatch(), impeller::EllipsePathSource::Dispatch(), and impeller::PathTransformer::MoveTo().

## ◆ QuadTo()

virtual void impeller::PathReceiver::QuadTo | ( | const Point & | cp,
|  | const Point & | p2
| ) |  |
| pure virtual

Implemented in impeller::PathTransformer.

Referenced by impeller::PathTransformer::QuadTo().

The documentation for this class was generated from the following file:

- impeller/geometry/path_source.h